Subject: bug#69543: 30.0.50; emacs hang

From: Gregor Zattler <[email-masked]>
Date: Mon, 04 Mar 2024 13:07:48 +0100

Dear Emacs developers,,
* Gregor Zattler <[email-masked]> [2024-03-04; 12:50 +01]:
> Dear Emacs developers, this happened when I tried to
> open a file via emacsclient via a convoluted stack of
> shell scripts.

I now realize I called

ALTERNATE_EDITOR=/bin/false  ${EMACSCLIENT} --alternate-editor=/bin/false -s "${EMACS_SERVER_NAME}" --eval "(+ 1 1)"

from within a frame connected to the very same Emacs
server.  This stalls.  After pressing C-g Emacs hangs
and I can get the provided backtrace.

Obviously that was a user error, but I don't know if
Emacs should be allowed to hang in this way in this
case.

Ciao; Gregor